Register a domain and help support LQ
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 11-15-2010, 01:28 AM   #1
Registered: Mar 2004
Distribution: Fedora & CentOS
Posts: 213
Blog Entries: 2

Rep: Reputation: 26
VirtualBox-OSE cannot be run as user anymore because "" doesn't exist?

When trying to run VirtualBox as a user, this error comes up:

$> VirtualBox
VirtualBox: supR3HardenedMainGetTrustedMain: dlopen("/usr/lib/virtualbox/",) failed: cannot open shared object file: No such file or directory
Yet when I go to that directory, is right there.

Some Fedora bug reports say that this is working as intended

Andreas Schwab 2010-10-22 05:24:16 EDT
Not a bug but a feature.
and someone also says that the bug has been fixed but I see no bug fix, especially not for 32bit systems.

Note: I've no desire to install the non-free VirtualBox... does this mean VirtualBox-OSE is no longer available for non-root use?
Old 11-15-2010, 01:34 AM   #2
Registered: Oct 2010
Location: Paudpod, Botolan, Zambales, Philippines
Distribution: Mandriva, Ubuntu, Mint, Open Suse, Meego
Posts: 390
Blog Entries: 3

Rep: Reputation: 25
go to virtualbox folder
it is in your home.
show hidden files
look for .virtualbox

copy the ".vdi file it is on the Harddisk Folder
after copying delete the .virtualbox folder
then after deleting open the virtualbox
after that copy again the ".vdi" file and
paste it into the new .virtualbox folder
Select the ".vdi" file as Primary Disk

Then try to start.
Old 11-15-2010, 01:46 AM   #3
LQ 5k Club
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Debian
Posts: 8,576
Blog Entries: 31

Rep: Reputation: 1193Reputation: 1193Reputation: 1193Reputation: 1193Reputation: 1193Reputation: 1193Reputation: 1193Reputation: 1193Reputation: 1193
I had similar with the PUEL version and solved it with a later release, instead of You may be able to solve the problem by uninstalling and installing the current release.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
[13.1-x86_64] alien-multilib enabled : VirtualBox OSE : LIBDIRSUFFIX="???" linuxs64 Slackware 2 06-24-2010 02:35 AM
VirtualBox OSE won't run alkanetexe Linux - Software 14 05-08-2009 01:13 PM
Postgresql error FATAL: user "root" does not exist" cgetty Ubuntu 4 06-21-2005 02:11 PM
my cd-rom "doesn't seem to exist anymore" intrepidtrefz Linux - Newbie 20 01-08-2004 12:14 AM

All times are GMT -5. The time now is 08:46 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration